Package io.vertx.redis.client

## Enum ResponseType

- java.lang.Object
- - java.lang.Enum<ResponseType>
  - - io.vertx.redis.client.ResponseType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ResponseType>`

      public enum ResponseType
      extends Enum<ResponseType>

  Define the response types that the client can receive from REDIS.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ATTRIBUTE` | Attribute message
    `BOOLEAN` | boolean value.
    `BULK` | byte array value.
    `ERROR` | C String simple String representing an error.
    `MULTI` | List of multiple bulk responses (List, Set, Map).
    `NUMBER` | numeric value.
    `PUSH` | Push message
    `SIMPLE` | C String simple String.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ResponseType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ResponseType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIMPLE

          public static final ResponseType SIMPLE

      C String simple String.

    - #### ERROR

          public static final ResponseType ERROR

      C String simple String representing an error.

    - #### BOOLEAN

          public static final ResponseType BOOLEAN

      boolean value.

    - #### NUMBER

          public static final ResponseType NUMBER

      numeric value.

    - #### BULK

          public static final ResponseType BULK

      byte array value.

    - #### PUSH

          public static final ResponseType PUSH

      Push message

    - #### ATTRIBUTE

          public static final ResponseType ATTRIBUTE

      Attribute message

    - #### MULTI

          public static final ResponseType MULTI

      List of multiple bulk responses (List, Set, Map).

  - ### Method Detail

    - #### values

          public static ResponseType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResponseType c : ResponseType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResponseType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null